VismaBouwsoftAPICalls.v1_GET_CostCalculationTotals Method
v1_GET_CostCalculationTotals() as String

This API call is used to get fields of a(n) CostCalculationTotal(s)

HTTP method API version
GET v1

Don’t forget to put the Authorization field in the header

API Path: /CostCalculationTotals/
or
API Path: /CostCalculationTotals/{id}
or
API Path: /CostCalculationTotals/FieldInfo/

You can make this API call:
* without the key field id to get a list of CostCalculationTotals
* with the key field id as the path parameter (the specific id of the CostCalculationTotal you want to get)
* to request the FieldInfo for this call

Fields

The following fields are available:

Field Name Type Name Length Required Writeable Force Write Link
parent_id tpLong 0 No No No
parent_pricedecimals tpLong 0 No No No
order_id tpLong 0 No No No
order_companyid tpLong 0 No No No
order_type tpString 50 No No No
order_nr tpLong 0 No No No
orderline_linenr tpLong 0 No No No
ts_lastupdate tpDate 0 No No No

/CostCalculationTotals/

API Path: /CostCalculationTotals/

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/CostCalculationTotals

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: OVAfWxfbkfzSfDmUtfzRqOrbfmjDfGAGfPPkzrPjUOOGmlDmUj

Query Parameters :
ParameterName: columns, ParameterValue:
ParameterName: filter, ParameterValue: order_type eq ‘OFFERTE’ and order_nr eq 20120002 and orderline_linenr eq 1

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–0/1”, “Records”: [
  {
    "id": 44,
    "parent_type": "orderline",
    "parent_id": 141,
    "parent_pricedecimals": 2,
    "order_id": 22,
    "order_companyid": 1,
    "order_type": "OFFERTE",
    "order_nr": 20120002,
    "orderline_id": 141,
    "orderline_linenr": 1,
    "article_tcp": 26.760000000000002,
    "article_tp": 34.789999999999999,
    "hours_tcp": 462360,
    "hours_tp": 601068,
    "equipment_tcp": 0,
    "equipment_tp": 0,
    "subcontractor_tcp": 0,
    "subcontractor_tp": 0,
    "article_tq": 2,
    "hours_tq": 15412,
    "equipmenr_tq": 0,
    "tcp": 41.759999999999998,
    "tp": 54.289999999999999,
    "ts_lastupdate": "2017–01–26 09:27:23"
  }
]
}

https://ra.bouwsoft.be/api/v1/CostCalculationTotals

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: OVAfWxfbkfzSfDmUtfzRqOrbfmjDfGAGfPPkzrPjUOOGmlDmUj

Query Parameters :
ParameterName: columns, ParameterValue:
ParameterName: filter, ParameterValue: parent_type eq ‘item’ and parent_id eq 3

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–0/1”, “Records”: [
  {
    "id": 33,
    "parent_type": "item",
    "parent_id": 3,
    "parent_pricedecimals": 2,
    "order_id": 0,
    "order_companyid": 0,
    "order_type": "",
    "order_nr": 0,
    "orderline_id": 0,
    "orderline_linenr": 0,
    "article_tcp": 0.25,
    "article_tp": 0.33,
    "hours_tcp": 124,
    "hours_tp": 124,
    "equipment_tcp": 0,
    "equipment_tp": 0,
    "subcontractor_tcp": 0,
    "subcontractor_tp": 0,
    "article_tq": 0.1,
    "hours_tq": 6,
    "equipmenr_tq": 0.2,
    "tcp": 124.25,
    "tp": 124.329999999999998,
    "ts_lastupdate": "2017–01–26 09:27:23"
  }
]
}

/CostCalculationTotals/{id}

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/CostCalculationTotals/33

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: OVAfWxfbkfzSfDmUtfzRqOrbfmjDfGAGfPPkzrPjUOOGmlDmUj

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–0/1”, “Records”: [
  {
    "id": 33,
    "parent_type": "item",
    "parent_id": 3,
    "parent_pricedecimals": 2,
    "order_id": 0,
    "order_companyid": 0,
    "order_type": "",
    "order_nr": 0,
    "orderline_id": 0,
    "orderline_linenr": 0,
    "article_tcp": 0.25,
    "article_tp": 0.33,
    "hours_tcp": 124,
    "hours_tp": 124,
    "equipment_tcp": 0,
    "equipment_tp": 0,
    "subcontractor_tcp": 0,
    "subcontractor_tp": 0,
    "article_tq": 0.1,
    "hours_tq": 6,
    "equipmenr_tq": 0.2,
    "tcp": 124.25,
    "tp": 124.329999999999998,
    "ts_lastupdate": "2017–01–26 09:27:23"
  }
]
}

/CostCalculationTotals/FieldInfo

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/CostCalculationTotals/FieldInfo

with the following parameters :

Header Parameters :
ParameterName: AccessToken, ParameterValue: UOIfWxffkAzSfrUjPtzRqUUbfkrkIOlljbPtzDDlVrfGjAmtfb
ParameterName: Clientnr, ParameterValue: 115

Success gives statuscode 200 And the following result

[
  {
    "name": "parent_id",
    "type_id": 1,
    "type_name": "tpLong",
    "length": 0,
    "required": false,
    "writeable": false,
    "forcewrite": false,
    "link": ""
  },
  {
    "name": "parent_pricedecimals",
    "type_id": 1,
    "type_name": "tpLong",
    "length": 0,
    "required": false,
    "writeable": false,
    "forcewrite": false,
    "link": ""
  }
,

]